Foreman - Feature #4462

Add support for PAM authentication via mod_intercept_form_submit
02/26/2014 12:51 PM - Jan Pazdziora

Status: Closed

Priority: Normal

Assignee: Jan Pazdziora

Category: Authentication

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The form-based authentication should be able to consume external authentication, for example PAM authentication and access
control provided by mod_intercept_form_submit.

The generic approach is documented at

http://www. freeipa.org/page/Web_ App_ Authentication

For Foreman, the goal is to be able to say

LoadModule intercept_form_submit_module modules/mod_intercept_form_submit.so
<Location /users/login>

InterceptFormPAMService foreman-prod

InterceptFormLogin login[login]

InterceptFormPassword login[password]
</Location>

and be able to authenticate against foreman-prod PAM service.
In case the Foreman machine is IPA-enrolled, additional user attributes should be consumable just like in case of

http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb. The mod_lookup_identity module configuration
would then need to be amended to

LoadModule lookup_identity_module modules/mod_lookup_identity.so
<LocationMatch */users/ (ext)?login$>

LookupUserAttr mail REMOTE_USER_EMAIL " "

LookupUserAttr givenname REMOTE_USER_FIRSTNAME

LookupUserAttr sn REMOTE_USER_LASTNAME
</LocationMatch>

to support both the Kerberos-based /users/extlogin, and /users/login.

Related issues:
Blocks Foreman - Tracker #5031: External authentication support New 04/02/2014

Associated revisions

Revision 74d32e15 - 04/03/2014 09:28 AM - Jan Pazdziora
fixes #4462 - extending the /users/login handling to process REMOTE_USER through intercept

History

#1 - 02/26/2014 01:04 PM - Jan Pazdziora

- Description updated

#2 - 02/26/2014 01:10 PM - Jan Pazdziora

- Description updated
http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb

#3 - 02/26/2014 02:41 PM - Jan Pazdziora
Filed pull request https:/github.com/theforeman/foreman/pull/1257

#4 - 02/26/2014 02:43 PM - Dominic Cleal
- Assignee set to Jan Pazdziora

- Target version set to 1.9.1

- Category set to Authentication

- Status changed from New to Ready For Testing

#5 - 03/03/2014 12:52 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#6 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#7 - 04/02/2014 03:41 PM - Dominic Cleal
- Blocks Tracker #5031: External authentication support added

#8 - 04/03/2014 09:26 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#9 - 04/03/2014 10:31 AM - Jan Pazdziora
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 74d32e15f4f4c84892a89cb87ee9ab6eed1d20660.
